"use client"

import { useSearchParams } from "next/navigation";
import { Schedule } from "@/components/sections/Schedule";

export default function SchedulesClient() {
  const searchParams = useSearchParams();
  const station = searchParams.get("station");
  const to = searchParams.get("to");

  return (
    <Schedule
      initialStation={station || null}
      initialToStation={to || null}
      showShareButton={true}
    />
  );
}
